<script setup lang="ts">
import { ref } from 'vue'

import { useMembersStore } from '@/stores/member'
import { useReceipetStore } from '@/stores/receipt'
import { usePosStore } from '@/stores/pos';
import type { Member } from '@/types/Member';

const tel = ref('')
const point = ref('')
const pointAlert = ref(false)
const memberStore = useMembersStore()
const receiptStore = useReceipetStore()

function onClick() {
  memberStore.getMemberByTel(tel.value)
  receiptStore.calReceipt()
  receiptStore.addMember(tel.value)
  tel.value = ''
}

function closeDialog(){
  pointAlert.value = false
}

function usePoint() {
  if (memberStore.editedMember) {
    const pointInt = parseInt(point.value)
    if (pointInt <= memberStore.editedMember?.point) {
      receiptStore.calUsePoint(point.value)
    } else {
      pointAlert.value = true
    }
  }
  point.value = ''
}

</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="6">
        <v-text-field
          v-model="tel"
          density="compact"
          variant="solo"
          label="Search Members"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick()"
          @keyup.enter="onClick()"
          style="width: 320px"
        ></v-text-field>
      </v-col>
      <v-col cols="6" class="pa-5 text-center">Member : {{ memberStore.editedMember && memberStore.editedMember.name ? memberStore.editedMember.name : '-' }}</v-col>
    </v-row>
    <v-row>
      <v-col cols="6">
        <v-text-field
          v-model="point"
          density="compact"
          variant="solo"
          label="Use Point"
          append-inner-icon="mdi-star"
          single-line
          hide-details
          @click:append-inner="usePoint()"
          @keyup.enter="usePoint()"
          style="width: 320px"
        ></v-text-field>
      </v-col>
      <v-col cols="6" class="pa-5 text-center">Points : {{ memberStore.editedMember && memberStore.editedMember?.point ? memberStore.editedMember?.point : '-' }}</v-col>
    </v-row>
  </v-container>

  <v-dialog v-model="pointAlert" max-width="500px">
    <v-card>
          <br />
          <v-img style="margin-left: 230px" :width="40" src="\src\assets\Login\icon.png"></v-img>
          <v-spacer></v-spacer>
          <v-card-title align="center" class="text-h10">
            Point Not
            Enough.
          </v-card-title>
          <v-spacer></v-spacer>
          <div align="center">
            <div style="margin: 0 auto; max-width: 400px">
              <v-btn
                block
                style="background-color: #e11d48"
                color="white"
                variant="text"
                @click="closeDialog()"
              >
                Ok
              </v-btn>
            </div>
          </div>
          <v-spacer></v-spacer>
          <br />
        </v-card>
      </v-dialog>

      <v-dialog v-model="memberStore.notFoundAlert" max-width="500px">
        <v-card>
          <br />
          <v-img style="margin-left: 230px" :width="40" src="\src\assets\Login\icon.png"></v-img>
          <v-spacer></v-spacer>
          <v-card-title align="center" class="text-h10">
            Not Found Member.
          </v-card-title>
          <v-spacer></v-spacer>
          <div align="center">
            <div style="margin: 0 auto; max-width: 400px">
              <v-btn
                block
                style="background-color: #e11d48"
                color="white"
                variant="text"
                @click="memberStore.closeNotFound()"
              >
                Ok
              </v-btn>
            </div>
          </div>
          <v-spacer></v-spacer>
          <br />
        </v-card>
      </v-dialog>
</template>
